Subject: Re: 24.5; *vc-dir* show ignored files for Mercurial

From: Nikolay Kudryavtsev <[email-masked]>
Date: Thu, 5 May 2016 20:32:36 +0300

> Displaying the file's status in vc-dir when the user edits it makes
> sense.
Then what would be the point of ignoring that file in the first place?

If we edit some file and then we see that the change is not on our 
status, it's safe to assume that the file is in our ignore and we should 
sort that out.

The saner behavior would be adding a new function, that shows ignored 
files on demand.

Also, want to note that hiding ignored files is not "x", but "C-u x" 
with the point at some ignored file.

-- 
Best Regards,
Nikolay Kudryavtsev